package com.uc.entity;

import java.util.Date;

/**
 * 用户详情扩展表   对应联系人列表功能
 * @author lyw
 *
 */
public class UserProfileEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;
	private String id;
    private Office company;    // 归属公司
    private Office office;    // 归属部门
    private String loginName;// 登录名
    private String no;        // 工号
    private String name;    // 姓名
    private String email;    // 邮箱
    private String phone;    // 电话
    private String mobile;    // 手机
    private String mobileNubmer;    // 手机
    private String userType;// 用户类型
    private String loginIp;    // 最后登陆IP
    private Date   loginDate;    // 最后登陆日期
    private String loginFlag;    // 是否允许登陆
    private String photo;    // 头像
    private String departId; //论证部门id
    private String delFlag; //论证部门id
    
    private String fax; // 传真
    private String sex = "M"; // 性别 M(男) F(女)
    private Integer huaweiNum; // 华为绑定状态： 0 未绑定 1 已绑定
    private int huaweiStatus = 0; // 华为绑定状态： 0 未绑定 1 已绑定
    private int jiewenStatus = 0; // 捷文绑定状态： 0 未绑定 1 已绑定
    private String dutyName;  // 职务
    
    private String companyId;  // 职务
    private String companyName;  // 职务
    
    private String officeId;  // 职务
    private String officeName;  // 职务
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }
    public Office getCompany() {
        return company;
    }
    public void setCompany(Office company) {
        this.company = company;
    }
    public Office getOffice() {
        return office;
    }
    public void setOffice(Office office) {
        this.office = office;
    }
    public String getLoginName() {
        return loginName;
    }
    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }
    public String getNo() {
        return no;
    }
    public void setNo(String no) {
        this.no = no;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getEmail() {
        return email;
    }
    public void setEmail(String email) {
        this.email = email;
    }
    public String getPhone() {
        return phone;
    }
    public void setPhone(String phone) {
        this.phone = phone;
    }
    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getUserType() {
        return userType;
    }
    public void setUserType(String userType) {
        this.userType = userType;
    }
    public String getLoginIp() {
        return loginIp;
    }
    public void setLoginIp(String loginIp) {
        this.loginIp = loginIp;
    }
    public Date getLoginDate() {
        return loginDate;
    }
    public void setLoginDate(Date loginDate) {
        this.loginDate = loginDate;
    }
    public String getLoginFlag() {
        return loginFlag;
    }
    public void setLoginFlag(String loginFlag) {
        this.loginFlag = loginFlag;
    }
    public String getPhoto() {
        return photo;
    }
    public void setPhoto(String photo) {
        this.photo = photo;
    }
    public String getDepartId() {
        return departId;
    }
    public void setDepartId(String departId) {
        this.departId = departId;
    }
    public String getFax() {
        return fax;
    }
    public void setFax(String fax) {
        this.fax = fax;
    }
    public String getSex() {
        return sex;
    }
    public void setSex(String sex) {
        this.sex = sex;
    }
    public int getHuaweiStatus() {
        return huaweiStatus;
    }
    public void setHuaweiStatus(int huaweiStatus) {
        this.huaweiStatus = huaweiStatus;
    }
    public int getJiewenStatus() {
        return jiewenStatus;
    }
    public void setJiewenStatus(int jiewenStatus) {
        this.jiewenStatus = jiewenStatus;
    }
    public String getDutyName() {
        return dutyName;
    }
    public void setDutyName(String dutyName) {
        this.dutyName = dutyName;
    }
    public String getCompanyId() {
        return companyId;
    }
    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }
    public String getCompanyName() {
        return companyName;
    }
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }
    public String getOfficeId() {
        return officeId;
    }
    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }
    public String getOfficeName() {
        return officeName;
    }
    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }
    public Integer getHuaweiNum() {
        return huaweiNum;
    }
    public void setHuaweiNum(Integer huaweiNum) {
        this.huaweiNum = huaweiNum;
    }
    public String getMobileNubmer() {
        return mobileNubmer;
    }
    public void setMobileNubmer(String mobileNubmer) {
        this.mobileNubmer = mobileNubmer;
    }
    public String getDelFlag() {
        return delFlag;
    }
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}
